---
search:
  tags:
    - Certificates
    - GET
seo:
  description: >-
    Get a certificate template with its background… Reference for the GET
    /api/admin/certificates/templates/{id} endpoint in the Athena Attack/Defence
    Admin API.
sidebar:
  label: Get a certificate template with its background URL
  badge: GET
title: Get a certificate template with its background URL
type: openapi-operation
---
`GET /api/admin/certificates/templates/{id}`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "backgroundUrl": "string",
  "template": {
    "id": "string",
    "name": "string",
    "pageSize": "a4_landscape",
    "currentVersion": "string",
    "publishedAt": "2019-08-24T14:15:22Z"
  },
  "spec": {
    "specVersion": 1,
    "pageSize": "a4_landscape",
    "size": {
      "w": 0,
      "h": 0
    },
    "background": {
      "fileId": "string",
      "contentType": "image/png",
      "width": 0,
      "height": 0,
      "byteSize": 0
    },
    "elements": [
      {
        "id": "string",
        "type": "text",
        "value": "string",
        "font": "jetbrains-mono",
        "size": 0,
        "x": 0,
        "y": 0,
        "align": "left",
        "color": "string",
        "autoFit": true,
        "maxWidth": 0
      }
    ]
  },
  "versions": [
    {
      "version": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
```
